Package org.eclipse.jgit.internal.storage.file

## Class ReflogEntryImpl

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.ReflogEntryImpl

All Implemented Interfaces:
  `Serializable`, `ReflogEntry`

    public class ReflogEntryImpl
    extends Object
    implements Serializable, ReflogEntry

Parsed reflog entry

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComment()`
`ObjectId` `getNewId()`
`ObjectId` `getOldId()`
`PersonIdent` `getWho()`
`CheckoutEntry` `parseCheckout()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getOldId

    public ObjectId getOldId()

Specified by:
  `getOldId` in interface `ReflogEntry`
Returns:
  the commit id before the change

#### getNewId

    public ObjectId getNewId()

Specified by:
  `getNewId` in interface `ReflogEntry`
Returns:
  the commit id after the change

#### getWho

    public PersonIdent getWho()

Specified by:
  `getWho` in interface `ReflogEntry`
Returns:
  user performing the change

#### getComment

    public String getComment()

Specified by:
  `getComment` in interface `ReflogEntry`
Returns:
  textual description of the change

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### parseCheckout

    public CheckoutEntry parseCheckout()

Specified by:
  `parseCheckout` in interface `ReflogEntry`
Returns:
  a `CheckoutEntry` with parsed information about a branch switch, or null if the entry is not a checkout